package com.atlassian.bitbucket.mesh.git.builder.clone;

public enum CloneFormat {

    BARE("--bare"),
    MIRROR("--mirror"),
    NORMAL(null);

    private final String flag;

    CloneFormat(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }

    public boolean isFlagged() {
        return flag != null;
    }
}
